Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTabBar.Shape

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTabBar.Shape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTabBar

    public static final class QTabBar.Shape

extends java.lang.Enum
implements QtEnumerator

This enum type lists the built-in shapes supported by `QTabBar`. Treat these as hints as some styles may not render some of the shapes. However, position should be honored.

See Also:
  Serialized Form

Field Summary
`static QTabBar.Shape` | `RoundedEast` The normal rounded look on the right side the pages
`static QTabBar.Shape` | `RoundedNorth` The normal rounded look above the pages
`static QTabBar.Shape` | `RoundedSouth` The normal rounded look below the pages
`static QTabBar.Shape` | `RoundedWest` The normal rounded look on the left side of the pages
`static QTabBar.Shape` | `TriangularEast` Triangular tabs on the right of the pages.
`static QTabBar.Shape` | `TriangularNorth` Triangular tabs above the pages.
`static QTabBar.Shape` | `TriangularSouth` Triangular tabs similar to those used in the Excel spreadsheet, for example
`static QTabBar.Shape` | `TriangularWest` Triangular tabs on the left of the pages.

Method Summary
`static QTabBar.Shape` | `resolve(int value)` Returns the QTabBar$Shape constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabBar.Shape` | `valueOf(java.lang.String name)`
`static QTabBar.Shape[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RoundedNorth

    public static final QTabBar.Shape RoundedNorth

  The normal rounded look above the pages

### RoundedSouth

    public static final QTabBar.Shape RoundedSouth

  The normal rounded look below the pages

### RoundedWest

    public static final QTabBar.Shape RoundedWest

  The normal rounded look on the left side of the pages

### RoundedEast

    public static final QTabBar.Shape RoundedEast

  The normal rounded look on the right side the pages

### TriangularNorth

    public static final QTabBar.Shape TriangularNorth

  Triangular tabs above the pages.

### TriangularSouth

    public static final QTabBar.Shape TriangularSouth

  Triangular tabs similar to those used in the Excel spreadsheet, for example

### TriangularWest

    public static final QTabBar.Shape TriangularWest

  Triangular tabs on the left of the pages.

### TriangularEast

    public static final QTabBar.Shape TriangularEast

  Triangular tabs on the right of the pages.

Method Detail

### values

    public static QTabBar.Shape[] values()

### valueOf

    public static QTabBar.Shape valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabBar.Shape resolve(int value)

  Returns the QTabBar$Shape constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD